xclade
Admin APIStore credit accounts

List Transactions

Retrieve a list of transactions in a store credit account. The transactions can be filtered by fields like FILTER FIELDS. The transactions can also be paginated.

GET
/admin/store-credit-accounts/{id}/transactions
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The store credit account's ID.

Query Parameters

id?id|
transaction_group_id?transaction_group_id|
created_at?

Filter by a transaction's creation date.

updated_at?

Filter by a transaction's update date.

limit?number

Limit the number of items returned in the list.

offset?number

The number of items to skip when retrieving a list.

order?string

The field to sort the data by. By default, the sort order is ascending. To change the order to descending, prefix the field name with -.

fields?string

Comma-separated fields that should be included in the returned data. If a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. Without prefix it will replace the entire default fields.

$and?

Join query parameters with an AND condition. Each object's content is the same type as the expected query parameters.

$or?

Join query parameters with an OR condition. Each object's content is the same type as the expected query parameters.

q?string

Search query to filter the transactions by their searchable fields.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X GET "https://{tenant}.api.myxclade.com/admin/store-credit-accounts/string/transactions"
{
  "limit": 0,
  "offset": 0,
  "count": 0,
  "transactions": [
    {
      "id": "string",
      "account_id": "string",
      "transaction_group_id": "string",
      "type": "credit",
      "amount": 0,
      "account": {
        "customer": {
          "id": "string",
          "has_account": true,
          "groups": [
            {
              "id": "string",
              "name": "string",
              "customers": [
                {}
              ],
              "metadata": {},
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z"
            }
          ],
          "email": "user@example.com",
          "default_billing_address_id": "string",
          "default_shipping_address_id": "string",
          "company_name": "string",
          "first_name": "string",
          "last_name": "string",
          "addresses": [
            {
              "id": "string",
              "address_name": "string",
              "is_default_shipping": true,
              "is_default_billing": true,
              "customer_id": "string",
              "company": "string",
              "first_name": "string",
              "last_name": "string",
              "address_1": "string",
              "address_2": "string",
              "city": "string",
              "country_code": "us",
              "province": "us-ca",
              "postal_code": "string",
              "phone": "string",
              "metadata": {},
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z"
            }
          ],
          "phone": "string",
          "metadata": {},
          "created_by": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z",
          "deleted_at": "2019-08-24T14:15:22Z"
        },
        "id": "string",
        "customer_id": "string",
        "currency_code": "usd",
        "credits": 0,
        "debits": 0,
        "balance": 0,
        "transaction_groups": [
          {
            "id": "string",
            "code": "string",
            "credits": 0,
            "debits": 0,
            "balance": 0,
            "account": {},
            "metadata": {}
          }
        ],
        "metadata": {},
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      },
      "note": "string",
      "reference": "string",
      "reference_id": "string",
      "metadata": {},
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "estimate_count": 0
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}